%global _empty_manifest_terminate_build 0

Name:           perl-PPI
Version:        1.278
Release:        1
Summary:        Parse, Analyze and Manipulate Perl
License:        GPL-1.0-only OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/PPI
Source0:        https://cpan.metacpan.org/modules/by-module/PPI/PPI-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Inspector) >= 1.22
BuildRequires:  perl(Clone) >= 0.30
BuildRequires:  perl(constant)
BuildRequires:  perl(Digest::MD5) >= 2.35
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec) >= 0.84
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Params::Util) >= 1.00
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable) >= 2.17
BuildRequires:  perl(strict)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Object) >= 0.07
BuildRequires:  perl(Test::SubCalls) >= 1.07
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Clone) >= 0.30
Requires:       perl(constant)
Requires:       perl(Digest::MD5) >= 2.35
Requires:       perl(Exporter)
Requires:       perl(File::Path)
Requires:       perl(File::Spec)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Params::Util) >= 1.00
Requires:       perl(Scalar::Util)
Requires:       perl(Storable) >= 2.17
Requires:       perl(strict)
Requires:       perl(Task::Weaken)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Strip unwanted dependencies
%global __provides_exclude ^perl\\(PPI::.+\\)$

%description
Parse, analyze and manipulate Perl (without perl).

%package help
Summary: Parse, Analyze and Manipulate Perl (without perl)
Provides: perl-PPI-doc

%description help
Docs of perl-PPI

%prep
%setup -q -n PPI-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes cpanfile dev_notes.txt dist.ini LICENSE META.json README
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Fri Mar 15 2024 wangshuo <wangshuo@kylinos.cn> - 1.278-1
- Update to version 1.278, modify license

* Wed Jan 17 2024 lichao <lichaod@uniontech.com> - 1.277-1
- Update to version 1.277

* Mon Sep 11 2023 Ge Wang <wang__ge@126.com> - 1.276-1
- Update to version 1.276

* Wed Jul 06 2022 misaka00251 <misaka00251@misakanet.cn> - 1.274-1
- Init package
